@import url("//fonts.googleapis.com/css2?family=Pompiere:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700&display=swap");
@import url("//fonts.googleapis.com/css2?family=Poor+Story:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700&display=swap");
@import url("//fonts.googleapis.com/css2?family=Public+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700&display=swap");

/* Search bar */
#search-bar{
    width:100%;
}

/* Form Division */
.search-box .center-search{
    width:816px;
}

/* Prodotti */
#prodotti{
    margin-top:228px;
}

/* Edit filter modal */
.edit-filter-modal{
}


/* Input */
.search-box .center-search input[type=text]{
    padding-left:22px;
    border-top-left-radius:16px;
    border-top-right-radius:16px;
    border-bottom-left-radius:16px;
    border-bottom-right-radius:16px;
    height:47px;
    box-shadow:0px 0px 1px 0px #000000;
}


#prodotti .card .DiscountTag{
    padding-left:10px;
    color:#d35400;
}


/* Font Icon */
.center-search .button .fa-search{
    padding-left:16px;
    padding-right:16px;
    padding-top:16px;
    padding-bottom:16px;
}

/* Font Icon */
.center-search .button{
    background-color: #FBF5E9;
    border: white;
    box-shadow: 0px 0px 1px 0px #000000;
}

/* Button */
.search-box .center-search .button{
    border-top-right-radius:25px;
    border-top-left-radius:25px;
    border-bottom-left-radius:25px;
    border-bottom-right-radius:25px;
}
.center-search .edit-filter-modal .text-button{
    margin-right:8px;
}

/* Font Icon */
.center-search .button .fa-filter{
    padding-left:16px;
    padding-right:16px;
    padding-top:16px;
    padding-bottom:16px;
}

/* Section */
section{
    padding-top:34px;
}

/* Center search */
.search-box .center-search{
    padding-right:0px;
    padding-left:0px;
    padding-bottom:0px;
    width:29%;
}

.filter-bar{
    padding-left: 70px;
    max-width: 300px;
    padding-top: 73px;
    position: absolute;
}

div.search-box{
    padding-top: 50px;
    padding-bottom: 50px;
    position: absolute;
    width: 100%;
    height: 30px;
    margin: auto;
}

.center-search{
    padding-bottom: 50px;
    margin: auto;
    width: 362px;
}

.search{
    position: relative;
    margin: auto;
    display: inline;
    height: 30px;
    width: 362px;
    border: none;
    background-color: #FBF5E9;
}

.search:hover{
    outline: none;
}

/* Button */
.cardButton{
    border-bottom-right-radius:18px;
    border-bottom-left-radius:18px;
}

.cardButton{
    position: relative;
    height: 30px;
    width: 30px;
    border-radius: 15px;
    border: none;
    float: right;
    background-color: #FBF5E9;
}

/* Card */
#prodotti .card{
    border-top-left-radius:16px;
    border-top-right-radius:16px;
    border-bottom-left-radius:18px;
    border-bottom-right-radius:18px;
}

/* Image */
.card a img{
    border-top-left-radius:16px;
    border-top-right-radius:16px;
}


/* Text button */
#aside-filter .edit-filter-modal .text-button{
    border-width:6px;
    border-style:solid;
    border-color:#fbf5e9;
    border-top-left-radius:16px;
    border-top-right-radius:16px;
    border-bottom-left-radius:16px;
    border-bottom-right-radius:16px;
    padding-left:16px;
    padding-right:16px;
    padding-top:10px;
    padding-bottom:10px;
    font-family:'Pompiere', display;
    font-weight:700;
    font-size:20px;
}

/* Apply button */
#aside-filter .edit-filter-modal .apply-button{
    transform:translatex(0px) translatey(0px);
    border-width:6px;
    border-style:solid;
    border-color:#fbf5e9;
    border-top-left-radius:16px;
    border-top-right-radius:16px;
    border-bottom-left-radius:16px;
    border-bottom-right-radius:16px;
    padding-top:10px;
    padding-bottom:10px;
    font-family:'Pompiere', display;
    font-weight:700;
    font-size:20px;
}

/* Tipo */
#tipo{
    font-family:'Poor Story', display;
    font-weight:300;
    font-size:20px;
}

/* Sconto */
#sconto{
    font-family:'Poor Story', display;
    font-weight:300;
    font-size:20px;
}

/* Prezzo */
#prezzo{
    font-weight:300;
    font-family:'Poor Story', display;
    font-size:20px;
}

/* Paragraph */
#aside-filter .edit-filter-modal p{
    font-size:20px;
    font-family:'Poor Story', display;
}


.edit-filter-modal{
    background-color: #FBF5E9;
    width:816px;
    margin-top:17px;
    position: absolute;
    border-radius: 18px 18px 18px 18px;
    box-shadow: 0 1px 3px 0 rgba(0,0,0,0.3);
    transition: transform 0.1s ease, opacity 0.1s ease;
    transform-origin: 0 0;
    padding: 16px;
}

.edit-filter-modal select{
    width: 100%;
    height: 32px;
    background-color: #FBF5E9;
    border: 1px solid rgba(0,0,0,0.125);
    margin-bottom: 16px;
}

.edit-filter-modal input{
    width: 100%;
    height: 32px;
    border-radius: 3px;
    border: none;
    margin-bottom: 16px;
    background-color: #FBF5E9;
    border: 1px solid rgba(0,0,0,0.125);
}

.edit-filter-modal button{
    background-color: #ED7117;
    color: white;
    padding: 8px 16px;
    border:none;
    border-radius: 3px;
    float: right;
}

.edit-filter-modal button:hover{
    opacity: 0.8;
}

.text-button{
    background-color: transparent;
    color: #24272A;
}


/* On smaller screens, decrease text size */
@media only screen and (max-width: 300px) {
    .text {font-size: 11px}
}

@media only screen and (max-width: 700px) {
    .text {font-size: 11px}
}

.card button{
    font-family:'Public Sans', sans-serif;
}

.card span{
    font-family:'pompiere';
    font-weight:500;
}

.card h1{
    font-family:'pompiere';
}

* {box-sizing:border-box}



.card h2{
    font-family:'Pompiere', display !important;
    font-size: 2.6rem;
}

.cardContainer{
    width: 90%;
    margin: 0 auto;
    display: flex;
    flex-flow: row wrap;
    justify-content: start;
    grid-template-columns: repeat(6,auto);
    gap: 2rem 1rem;
    padding: 40px var(--sidePadding) 0px var(--sidePadding);
}

.card {
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    max-width: 15rem;
    margin: auto;
    text-align: center;
    font-family: sans-serif;
    background-color: #FBF5E9;
    position: relative;
    flex: 0 0 20%;
    border-radius: 0.5rem;
}
.card img{
    z-index: 0;
    max-width: 15rem;
    object-fit: cover;
}
.DiscountTag{
    color: black;
    text-transform: capitalize;
    z-index: 9;
    /* position: relative; */
}
.productName{
    font-family: MergeOne, sans-serif;
    font-size: 2rem;
    max-height: 4rem;
    color: black;
}
.price{
    font-size: 1.5rem;
    color: black;
    font-family: MergeOne,sans-serif;
}
.realPrice{
    margin-left: 1.25rem;
    font-family: MergeOne,sans-serif;
    opacity: 0.5;
    text-decoration: line-through;
}
.card button {
    float: bottom;
    border: none;
    outline: 0;
    padding: 0.75rem;
    color: white;
    background-color: #D16002;
    text-align: center;
    cursor: pointer;
    width: 100%;
    font-size: 1.25rem;
    border-bottom-left-radius:15px;
    border-bottom-right-radius:15px;
}
.card button:hover {
    background-color: #ED7117;
}


#prodotti #padding1{
    padding-right:200px;
    padding-left:38px;
}

.padding1{
    display: inline;
}

.padding2{
    display: inline;
}


